PayNowPro
Products

Get Product Group

Retrieves a single product group by ID with its associated products.

GET
/groups/{groupId}
api-key<token>

In: header

Path Parameters

groupId*string

The product group ID from the URL path

Query Parameters

tenantAlias*string

Merchant identifier for multi-tenant access

Response Body

application/json

application/json

application/json

curl -X GET "https://api.paynowpro.com/api/v1/groups/string?tenantAlias=string"
{
  "id": "string",
  "tenantAlias": "string",
  "name": "string",
  "metadata": {
    "property1": null,
    "property2": null
  },
  "createdAt": "string",
  "updatedAt": "string",
  "prorateUpgrades": true,
  "products": [
    {
      "updatedAt": "string",
      "createdAt": "string",
      "expiresAt": "string",
      "deleted": true,
      "metadata": {
        "property1": null,
        "property2": null
      },
      "description": "string",
      "active": true,
      "name": "string",
      "tenantAlias": "string",
      "groupId": "string",
      "id": "string"
    }
  ]
}
{
  "cause": null,
  "body": {
    "response": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      }
    },
    "request": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "url": "string",
      "method": "string"
    },
    "reason": "string",
    "code": 400
  }
}
{
  "cause": null,
  "body": {
    "response": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      }
    },
    "request": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "url": "string",
      "method": "string"
    },
    "reason": "string",
    "code": 400
  }
}